
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>解决CustomValidator控件不能验证控件值为空的问题 / iVAN</title>

    <meta name="description" content="解决CustomValidator控件不能验证控件值为空的问题 解决|控件|问题 在论坛上看到有关CustomValidator控件验证控件值为空的问题http://community.csdn.net/Expert/topic/3772/3772658.xml?temp=.9461634,正好我也遇到过,解决方法就是不要指定CustomValidator 控件的ControlToValidate,这样在提交的时候回进行验证,代码如下:&lt;%@ Page Language=&quot;C#&quot; AutoEventWireup=&quot;True ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">解决CustomValidator控件不能验证控件值为空的问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>解决|控件|问题</p>
<p>在论坛上看到有关CustomValidator控件验证控件值为空的问题http://community.csdn.net/Expert/topic/3772/3772658.xml?temp=.9461634,正好我也遇到过,解决方法就是不要指定CustomValidator 控件的ControlToValidate,这样在提交的时候回进行验证<br />,代码如下:<br />&lt;%@ Page Language="C#" AutoEventWireup="True" %&gt;</p>
<p>&lt;html&gt;<br />&lt;head&gt;<br />&lt;/head&gt;<br />&lt;body&gt;</p>
<p>&lt;form runat="server" id="Form1" &gt;<br />      &lt;asp:TextBox id="Text1" <br />           runat="server" /&gt;</p>
<p>&lt;asp:CustomValidator id="CustomValidator1"<br />           ClientValidationFunction="ClientValidate"<br />           Display="Static"<br />           ErrorMessage="不能为空!"<br />           ForeColor="green"<br />           Font-Name="verdana" <br />           Font-Size="10pt"<br />           runat="server"/&gt;<br /> &lt;br/&gt; <br />      &lt;asp:Button id="Button1"<br />           Text="Validate" <br />           runat="server"/&gt;<br />   &lt;/form&gt;</p>
<p>&lt;/body&gt;<br />&lt;/html&gt;</p>
<p>&lt;script language="javascript"&gt;<br />&lt;!--<br />function ClientValidate(sender, args)<br />{<br /> if(Form1.Text1.value.length&lt;=0)<br /> {<br />  args.IsValid = false;<br /> }else{<br />  args.IsValid = true;<br /> }<br />}<br />// --&gt;<br />&lt;/script&gt;</p>
<p>问题分析:<br />与所有其它验证控件类似（RequiredFieldValidator 除外），如果输入字段为空，则认为 CustomValidator 有效。所以造成CustomValidator没有办法验证空值, 让ControlToValidate 为空,客户端函数每次尝试提交时总会触发一次,这样就可以实现在提交时验证控件为空<br />以下信息摘自MSDN:http://msdn.microsoft.com/library/chs/default.asp?url=/library/CHS/cpref/html/frlrfSystemWebUIWebControlsCustomValidatorClassTopic.asp</p>
<p>注意   如果输入控件为空，则不会调用任何验证函数，并且验证将成功。使用 RequiredFieldValidator 控件要求用户在输入控件中输入数据。<br />可以在不设置 ControlToValidate 属性的情况下使用 CustomValidator 控件。这种情况通常出现在验证多个输入控件或是验证无法与验证控件一起使用的输入控件（如 CheckBox 控件）时。这种情况下，传递给 ServerValidate 事件的事件处理程序及客户端验证函数的 arguments 参数的 Value 属性将始终包含一个空字符串 ("")。但是，合适时仍将调用这些验证函数，以确定服务器和客户端的有效性。若要访问进行验证的值，您必须通过编程方式引用所要验证的输入控件，然后从相应的属性中检索该值。例如，若要验证服务器上的 CheckBox 控件，请不要设置验证控件的 ControlToValidate 属性，并将下列代码用于 ServerValidate 事件的处理程序。</p>
<p>用途:<br />您可能会说既然不为空,干嘛不用RequiredFieldValidator,当然是有原因的,比如我有个复选框,我想实现只有选择这个复选框的时候才要求某个文本框不为空,这样我就可以用下面的代码了:<br />&lt;%@ Page Language="C#" AutoEventWireup="True" %&gt;</p>
<p>&lt;html&gt;<br />&lt;head&gt;<br />&lt;/head&gt;<br />&lt;body&gt;</p>
<p>&lt;form runat="server" id="Form1" &gt;<br />   &lt;asp:CheckBox id="CheckBox1" runat="server"&gt;&lt;/asp:CheckBox&gt;<br />      &lt;asp:TextBox id="Text1" <br />           runat="server" /&gt;</p>
<p>&lt;asp:CustomValidator id="CustomValidator1"<br />           ClientValidationFunction="ClientValidate"<br />           Display="Static"<br />           ErrorMessage="不能为空!"<br />           ForeColor="green"<br />           Font-Name="verdana" <br />           Font-Size="10pt"<br />           runat="server"/&gt;<br /> &lt;br/&gt; <br />      &lt;asp:Button id="Button1"<br />           Text="Validate" <br />           runat="server"/&gt;<br />   &lt;/form&gt;</p>
<p>&lt;/body&gt;<br />&lt;/html&gt;</p>
<p>&lt;script language="javascript"&gt;<br />&lt;!--<br />function ClientValidate(sender, args)<br />{<br /> if(Form1.CheckBox1.checked&amp;&amp;Form1.Text1.value.length&lt;=0)<br /> {<br />  args.IsValid = false;<br /> }else{<br />  args.IsValid = true;<br /> }<br />}<br />// --&gt;<br />&lt;/script&gt;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-23 13:15:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%be%93%e5%85%a5/" title="输入">输入</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e9%aa%8c%e8%af%81/" title="验证">验证</a>, <a href="https://www.iamivan.net/tag/%e5%a4%8d%e9%80%89%e6%a1%86/" title="复选框">复选框</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8d%e8%83%bd%e4%b8%ba%e7%a9%ba/" title="不能为空">不能为空</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8d%e4%b8%ba%e7%a9%ba/" title="不为空">不为空</a>, <a href="https://www.iamivan.net/tag/%e4%b8%ba%e7%a9%ba/" title="为空">为空</a>, <a href="https://www.iamivan.net/tag/%e8%be%93%e5%85%a5%e5%8f%82%e6%95%b0%e4%b8%ba%e7%a9%ba/" title="输入参数为空">输入参数为空</a>, <a href="https://www.iamivan.net/tag/customvalidator/" title="CustomValidator">CustomValidator</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6%e8%a7%a3%e5%86%b3/" title="控件解决">控件解决</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>解决CustomValidator控件不能验证控件值为空的问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM18Yxb.html" rel="bookmark">ASP&period;NET 2&period;0服务器控件之实现验证控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|服务器|控件 为了更好的创建交互式Web应用程序,加强应用程序安全性(例如,防止脚本入侵等),开发人员应该对用户输入的部分提供验证功能.过去,输入验证功能基本由自行编写的客户端脚本来完成这种实现方法既繁琐,又容易出现错误.随着技术的发展,ASP.NET技术通过提供一系列验证控件来克服这些缺点,例如,RequiredFieldValidator.CompareValidator.RangeValidator等.使用这些验证控件,开发人员可以向Web页面添加输入验证功能,例如定义验证			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/gpkOnEp.html" rel="bookmark">转：ASP&period;NET验证控件详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|控件|详解 ASP.NET验证控件详解 ASP.NET是微软推出的下一代WEB开发工具,其强大的功能立即吸引了一大批WEB开发者投入它的靡下.现在,我们来看看ASP.NET的验证控件,感受ASP.NET的强大功能同时方便我们现在的WEB开发. WEB开发者特别是ASP开发者,一直对数据验证比较恼火,当你好不容易写出数据提交程序的主体以后,还不得不花大把时间去验证用户的每一个输入是否合法.如果开发者熟悉JavaScript或者VBScript,可以用这些脚本语言轻松实现验证,但是又			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWNG0Ab.html" rel="bookmark">ASP&period;NET公有六种验证控件 功能描叙</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RequiredFieldValidator(必须字段验证) 用于检查是否有输入值 CompareValidator(比较验证) 按设定比较两个输入 RangeValidator(范围验证) 输入是否在指定范围 RegularExpressionValidator(正则表达式验证) 正则表达式验证控件 CustomValidator(自定义验证) 自定义验证控件 ValidationSummary(验证总结) 总结验证结果 下面,我们来看这些控件的使用 一:RequiredFieldValida			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdRgB4b.html" rel="bookmark">100分求CustomValidator验证控件的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 上传图片,用的是服务器端控件FileUpload,想用CustomValidator验证图片上传的大小,不想在后台判断,请问代码应该怎么写啊,在此跪求了,图片上传大小控制在200k 解决方案 解决方案二:用CustomValidator来验证这个好像不好弄吧,你用JAVASCRIPT来控制呢百度里搜一下,有很多这样的资料的解决方案三:靠JShttp://blog.csdn.net/drago37net/archive/2006/09/12/1214938.aspx参考下...解决方案四			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmV9Qwz.html" rel="bookmark">一个&amp;amp&semi;amp&semi;lt&semi;div&amp;amp&semi;amp&semi;gt&semi;里放了两个验证控件&comma;第二个控件显示时候&comma;位置总被第一个占住了&comma;中间有很长的空白&comma;大家是如何解决的&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 一个&lt;div&gt;里放了两个验证控件,第二个控件显示时候,位置总被第一个占住了,中间有很长的空白,大家是如何解决的?&lt;asp:RequiredFieldValidatorID=&quot;RequiredFieldValidator1&quot;runat=&quot;server&quot;ControlToValidate=&quot;txtUserID&quot;ErrorMessage=&quot;*不能为空.&quot;&gt;&lt;/asp:RequiredField			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPZV4mb.html" rel="bookmark">使用CustomValidator自定义验证控件检查是否有对ListBox控件选择&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前网页前端处,我们放置ListBox控件,在数据提交前,检查用户是否有对此控件进行选择? Insus.NET的方法是使用Javascript与CustomValidator自定义验证控件来检查. 可以看到最终结果:  你也想参此例子,可以参考下面数据与准备方法,写一个对象,它将用来产生十个天干. HeavenlyStem.cs 复制代码 代码如下: using System; using System.Collections.Generic; using System.Linq; using			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWx8Zz.html" rel="bookmark">验证控件进行分组解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大概实现过程如下: 1,给验证控件添加属性:ValidationGroup=&quot;vgA&quot;(组名随便写) 2,修改保存按钮的属性:CausesValidation=false 3, 给保存按钮添加OnClientClick= ValidateByGruop()   代码如下:      function  ValidateByGruop ()     {      var retval=false ;      var val = $('#&lt;%=下拉列表控件ID.ClientID %			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgk8AM.html" rel="bookmark">ASP&period;NET讲座&lpar;3&rpar;-输入验证控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|控件 3.1 ASP.net解决了ASP的难题:验证表单填写的正确性 如今的商业网站,或者个人网站,多少都有客户调查啊,用户注册之类的东西,必然会用到表单,这些表单的填写正确与否,明显是由手写代码的方式来控制的.我承认编写代码,是一项有趣的工作,不过每次验证表单都来手写代码,我们希望提高我们的工作效率,并不是把我们很有限的时间花在表单的验证工作上. 基于另外的一些原因,Web应用程序很不好验证用户的输入,HTML 3.2 规范可以让你控制用户的反馈,但恶意的或者技术高超的用户可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW27Amb.html" rel="bookmark">【ASP&period;NET】验证控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在软件开发中,验证输入信息是否正确,这是必不可少的一项工作.就拿我们做过的机房收费系统来说,在登录的时候,我们需要对用户名和用户密码进行验证,判断是否为空,判断输入字符是否合理等等.这些工作,我们之前都需要编写一段又一段代码,依次进行验证.在ASP.NET中,学习到了验证控件,发现这些事情原来可以很容易就被解决的. 这篇博客就将ASP.NET中5个验证控件总结一下,也是为了以后能够更加方便熟悉的使用它们. (一)RequiredFieldValidator控件 其功能是要求用户必须为ASP.NE			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKGWbN.html" rel="bookmark" class="title">应试教育的死穴，恰在于没有给给孩子留下&OpenCurlyDoubleQuote;犯错&rdquo;的空间</a>
					<div>
						    最近看了一篇文章&lt;高考状元变成&quot;流浪汉&quot;点中教育&quot;死穴&quot;&gt;,像这样的事情不是一两例,而是很多很多:教育的根本所在,便是教书育人,然而现在的应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEQ2Zb.html" rel="bookmark" class="title">JavaScript中的对象、函数和继承</a>
					<div>
						1. Javascript中的对象.JavaScript可以说是一个基于对象的编程语言,为什么说是基于对象而不是面向对象,因为JavaScript自身只实现了封装,而没有实现继承和多态.既然他是基于对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrax4b.html" rel="bookmark" class="title">www&period;52bb&period;com网站运营简案</a>
					<div>
						网站运营 www.52bb.com网站运营简案 大纲:一. 25BB目标客户分析:二. 25BB定位分析三. 25BB品牌延伸与前景四. 爱我宝贝网目前功能分析五. 增加目标客户感兴趣并且有实际作用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRROOz.html" rel="bookmark" class="title">google&plus;登录API使用javascript sdk快速入门图解教程</a>
					<div>
						准备工作: 打开Google API 控制台 : https://code.google.com/apis/console 点击 My Project (我的项目) 按照图示流程,您将完成一个goog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLL52b.html" rel="bookmark" class="title">ASP&period;NET AJAX：编写组件，使用JavaScript更新UpdatePanel</a>
					<div>
						众所周知,UpdatePanel是通过Trigger来更新的.被设定为Trigger的控件在PostBack之后会被客户端 所截获,并且使用XMLHttpRequest对象发送内容,然后服务器端由Sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKZBEM.html" rel="bookmark" class="title">服务站&colon; Web服务软件工厂</a>
					<div>
						作为架构师和开发人员,我们始终希望确信我们是在以正确的方法解决问题.因此,在开发人员领域,始终需要正确的指导.通常,此类指导来自开发人员社区,开发人员通过这个社区彼此分享经验,相互学习.但是,现在有许 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBoqlb.html" rel="bookmark" class="title">用Flash制作不停转动的地球仪</a>
					<div>
						  上学那会儿,经常看到老师拿着地球仪给我们上课,当时看着漂亮的转动着的地球仪真想自己也拥有一个.现在这个愿望终于实现了!嘿嘿,不是花钱买,而是使用Flash制作!而且还是一个带有立体感的透明的地球( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkmqLb.html" rel="bookmark" class="title">怎么解决Win8&sol;8&period;1下驱动安装&OpenCurlyDoubleQuote;数据无效&rdquo;错误呢？</a>
					<div>
						  第一步.按键盘上的Winkey+R,在弹出的&quot;运行&quot;对话中输入&quot;services.msc&quot;,亦可通过&quot;计算机管理&quot;窗口下找到&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Ear3M.html" rel="bookmark" class="title">快速删除Windows7系统管理员密码</a>
					<div>
						  1.首先进入开始菜单中的控制面板选项,在打开的控制面板中选择点击&quot;用户账户&quot;选项; 2.然后在打开的用户账户界面中点击左侧的&quot;更改用户账户控制设置&quot;项; 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2408vp.html" rel="bookmark" class="title">正确使用笔记本电脑电池</a>
					<div>
						  笔记本电脑的电池很重要,很多用户在使用电脑的时候,喜欢把电池拿下来使用,认为这样对电池是一种保护.其实,这个方法并不能对电池起到保护作用,反而会影响电池的寿命. 笔记本电脑电池为锂电池,如果锂电池 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Jvxp.html" rel="bookmark" class="title">file-PHP接收手机上的图片和参数</a>
					<div>
						问题描述 PHP接收手机上的图片和参数 function uploadPhoto() { var options = new FileUploadOptions(); var test=documen ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My39aZz.html" rel="bookmark" class="title">设计-简约而不简单</a>
					<div>
						本文来自hxfirefox,他是笔者在某国内大型企业提供敏捷XP咨询项目的内部教练.本文也是由他交给笔者帮助review,同时也授权发布在笔者的博客中. 原文地址为:直接不等于简单. 码农的博弈 了解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lvQdb.html" rel="bookmark" class="title">蔡文胜：开放和分享是未来的主调</a>
					<div>
						11月16日下午午消息,由新浪微博(http://t.sina.com.cn)主办的中国首届微博开发者大会在北京举行,这是国内微博行业的首场技术盛宴.在参加中国首届微博开发者大会期间,4399董事长蔡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNoqlz.html" rel="bookmark" class="title">Twitter和微博的差别</a>
					<div>
						在 Twitter 工程师眼中,新浪微博和 Twitter 的不同,具体表现在以下 4 点: 1,Twitter 推崇至简原则,相反新浪微博则推崇原则是丰富-相较而言新浪微博更像是由多个产品经理同时牵 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rDZjp.html" rel="bookmark" class="title">HTML5实现涂鸦板</a>
					<div>
						原文:HTML5实现涂鸦板 最近闲的,看了看html5,强大的绘图功能让我惊奇,于是,写了个小玩意---涂鸦板,能实现功能有:画画,改色,调整画笔大小 html5的绘图可以分为点,线,面,圆,图片等, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDJBGz.html" rel="bookmark" class="title">link环境下制作一款《网盘软件》，如果使用&OpenCurlyDoubleQuote;云服务器&rdquo;假设，高峰时段会不会卡速？</a>
					<div>
						问题描述 link环境下制作一款&lt;网盘软件&gt;,如果使用&quot;云服务器&quot;假设,高峰时段会不会卡速? link环境下制作一款&lt;网盘软件&gt;,如果使用&quot;云服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlADAp.html" rel="bookmark" class="title">信号与共享记忆体函数库：shm&lowbar;put&lowbar;var</a>
					<div>
						shm_put_var (PHP3 &gt;= 3.0.6 , PHP4) shm_put_var ---&amp;http://www.aliyun.com/zixun/aggregation/37 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAer7b.html" rel="bookmark" class="title">forward-在SAS里 用PHREG 做回归分析</a>
					<div>
						问题描述 在SAS里 用PHREG 做回归分析 请问在SAS了 用PHREG 做回归分析的时候, backward forward stepwise 三种方法出来的结果的区别是什么, 什么情况下会出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodGydM.html" rel="bookmark" class="title">&lbrack;CSDN首发&rsqb;CSDN人回馈CSDN社区&period; 发布开源项目 aspnetcdn 第一个版本源代码&period; &lpar;ASP&period;NET做的CDN&comma;为教学而生&rpar;</a>
					<div>
						问题描述 其实我以前也混了很长的CSDNASP.NET版,当时MVP项目还没启动呢.但是各个大牛(思归,孟子,数不尽)对我的帮助真的很大.后来因工作保密的原因,也很少来混CSDN了,逐渐连老账号都忘记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq6qvb.html" rel="bookmark" class="title">99&percnt;互联网&plus;创业为什么会死掉？一篇文章看懂产品规划有多重要！</a>
					<div>
						2016年年尾,死亡名单还在不停疯传,仔细研究名单上的产品,基本上都存在着一些致命问题.一个行业的所有活动都是满足用户需求的过程,而不是生产产品的过程.如果不能始于用户及其需求创造价值,即使再多的专利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg3nOM.html" rel="bookmark" class="title">In or Out&quest; Kubernetes一统江湖的野心 - 写在Kubernetes 1&period;6即将发布之际</a>
					<div>
						如一切顺利的话,Kubernetes 1.6将于3月29日发布.虽然比预期延迟了一周,但是赶在了KubeCon之前,对Kubernetes这个规模的项目来说已经实属不易.为了庆祝1.6版本的发布,撰文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmBZ2z.html" rel="bookmark" class="title">浅谈js函数的多种定义方法与区别&lowbar;javascript技巧</a>
					<div>
						定义一个函数一般有如下三种方式: 1.函数关键字(function)语句: function fnMethodName(x){ alert(x); } 2.函数字面量(Function Literal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7LNYb.html" rel="bookmark" class="title">Android开发软键盘遮挡登陆按钮的完美解决方案&lowbar;Android</a>
					<div>
						在应用登陆页面我们需要填写用户名和密码.当填写这些信息的时候,软键盘会遮挡登陆按钮,这使得用户体验较差,所以今天就来解决这个问题 1:登陆布局界面如下 &lt;?xml version=&quot;1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNyExp.html" rel="bookmark" class="title">linux-有关制作操作系统。。。。。</a>
					<div>
						问题描述 有关制作操作系统..... 制作操作系统难么?有学习什么语言,要不要学有关于汇编的......... 解决方案 C语言,汇编 都是写操作系统必备的. 汇编的话需要看你在什么平台上实现,如果是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNOlep.html" rel="bookmark" class="title">myeclipse-MyEclipse的部署按钮无法使用是怎么回事，只要更换工程路径就可以部署</a>
					<div>
						问题描述 MyEclipse的部署按钮无法使用是怎么回事,只要更换工程路径就可以部署 我的MyEclipse的项目没有办法点击部署按钮,部署按钮点击后没有反应,如何解决 解决方案 参考:http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeAN6p.html" rel="bookmark" class="title">KeelKit 开始支持 VC&plus;&plus;的 实体类生成 和 存储过程调用接口的生成</a>
					<div>
						我们现在开始支持 VC++的 实体类生成 和 存储过程调用接口的生成!这将大大的方便了一些使用C++的朋友引用Keel.dll! 生成后的代码效果如下: #pragma once #using usi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2050z.html" rel="bookmark" class="title">杭州要申报&OpenCurlyDoubleQuote;中国网上自由贸易区&rdquo;</a>
					<div>
						跨境电商真正自由化便利化的时代可能就快来了.正在此间召开的2014中国电子商务博览会上,杭州市委常委佟桂莉透露,杭州将向国家申报中国杭州网上自由贸易区,真正促进跨境电子商务的自由化.便利化.规划化的发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWXWqM.html" rel="bookmark" class="title">问交换机 Hybrid 口的问题</a>
					<div>
						问题描述 目前正在学习Switch的相关原理,了解到Switch可以配置成三种port:(1)access一般用来连接PC(2)trunk一般用来Switch和Switch相连,用于跨Switch的V ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1G5nM.html" rel="bookmark" class="title">风投就像玩德州扑克：天使是盲注 VC是翻牌时下注</a>
					<div>
						做投资就像玩德州扑克.德州扑克一般分为5个步骤,分别为:Perflop-盲注,然后每人发2张底牌;Flop-同时发三张公牌,玩家可以选择下注.加注.或者盖牌放弃;Turn-发第4张牌;River-发第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boq13Dp.html" rel="bookmark" class="title">HPV检查8天出俩结果患者投诉郑州大学第二附属医院</a>
					<div>
						8天时间里,张女士在郑州大学第二附属医院拿到两张结果不同的检查单1月28日,26岁的张士通过大河健康网投诉热线(0371-65795966)向记者反映,她在郑州大学第二附属医院就医遇到的窝心事.HPV ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
